#include "stdint.h"

#ifndef RTE_TICK_TIMER_H__
#define RTE_TICK_TIMER_H__

/* Tick timer interrupt call back function */
typedef void (*RTE_Tick_Timer_Call_Back_ptr_t)(void);

extern void RTE_Tick_Timer_Start(uint32_t u32Interval, RTE_Tick_Timer_Call_Back_ptr_t pfnCallBack);
extern void RTE_Tick_Timer_Stop(void);
extern void RTE_SysTick_Handler(void);
#endif /* RTE_TICK_TIMER_H__ */
